Subject: LTK1221603011278X-Concierge order no# 110709 (0840-5373)
From: gelna <[email-masked]>
To: subir <[email-masked]>
Date: Tue, 24 Feb 2015 06:36:25 +0530 (IST)

What is the best template for this order sir ?

Cs placed 3 items, I did choose the quickest method but the order was divided into 2 orders. The other 2 already arrived and updated in his suite. The 3rd item has been shipped out already a couple days ago however, the estimated delivery date is March 13-31. How will I explain this to cs ? I meant the right explanation. Will he believed that we did choose the quickest method ?

CS is rate as per Kae.

Regards,
Gelna